<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
require("../../inc/config.php");
require("../inc/langutil.php");

// config
$nCompPath = "../../comp/";
$nRefreshCall = "refreshParentsCompEdit();";

// pull in all active languages (used to create multiple fields, when needed)
$nActiveLangARRAY = nGetLangActiveARRAY();

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST['id']) ? $_POST['id'] : NULL); }

// AJAX Specific vars
$nPassThru = "";
$nDivToUpdate = "editModal";
$nPageInDiv = "../manage/dialog/component_edit.php";

// Get additional data
if($nRecID){
	$nSQL = "SELECT nContentID,nComponentID,nPageID FROM xComponentPage WHERE nID=$nRecID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nContentID = $Row["nContentID"];
		$nCompID = $Row["nComponentID"];
		$nPageID = $Row["nPageID"];
		$nCompTitle = nGetComponentName($nCompID);
		$nCompFile = nGetComponentFile($nCompID);
	}
	// Get associated content for component; if none exists, create one
	if($nContentID){
		$nSQL = "SELECT * FROM nContent WHERE nID=$nContentID";
		mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
		if($Row = mysql_fetch_array($Result)){
			$nText = $Row["nText"];
			$nTextarea = $Row["nTextarea"];
			$nLinkID = $Row["nLinkID"];
			$nImgID = $Row["nImgID"];
			$nOrderID = $Row["nOrderID"];
		}
	} else {
		$nContentID = nGetNextContentNum();
		// Create new row in nContent for this component
		$Query = "INSERT INTO nContent (nID) VALUES ($nContentID)";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
		// Update component
		$Query = "UPDATE xComponentPage SET nContentID=$nContentID WHERE nID=$nRecID";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
	}
	if($nPageID){
		$nSQL = "SELECT nType,nTitle FROM nPage WHERE nID=$nPageID LIMIT 1";
		mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
		if($Row = mysql_fetch_array($Result)){
			$nPageType = $Row["nType"];
			$nPageTitle = $Row["nTitle"];
		}
	}
	switch($nPageType){
		case "Homepage":
			break;
		case "Template":
		case "Content":
			break;
		case "Search":
			break;
	}
}
// initialize array to store calls for content fields
$nFieldCalledARRAY = array();
?>


<div id="<?php echo $nDivToUpdate;?>">

<?php
include("../inc/form_class.php");

$nFormName = "FormCompEdit";
$nForm1 = new Form();
//$nForm1->DEBUG = true;
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "$.colorbox.close()";
$nForm1->CancelRedirectIsJS = true;
$nForm1->SubmitText = "Save Changes";

$nForm1->DBLink = $Link;
$nForm1->nUseADODB = false;
// AJAX settings
$nForm1->SubmitIsJS = true;
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru','$nFormName'); return false;";

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
$nFormField = new FormField("hidden","id");
$nFormField->Value = $nRecID;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("hidden","nContentID");
$nFormField->Value = $nContentID;
$nFormGroup1->AddField($nFormField);

$nForm1->AddGroup($nFormGroup1);

// Build form fields from component
// A great place to put in callback processing for components wanting to display their own form
switch($nCompTitle){
	default:
		$nFilePath = "$nCompPath$nCompFile";
		$nCompFileName = str_ireplace(".php","",$nCompFile);
		if(file_exists($nFilePath)){
			// Build a new form group for each language
			$nFormGroupARRAY = array();
			foreach($nActiveLangARRAY as $nLangCode => $nLangName){
				$nFormGroup1 = new FormGroup();
				if($nLangCode!=$nDefaultLang){ $nFormGroup1->Style = "display:none;"; }
				$nFormGroup1->ID = "tabbody_$nLangCode";
				$nFormGroupARRAY[$nLangCode] = $nFormGroup1;
			}
			// Include the component and let it's "addField" references build the form
			include($nFilePath);
			// Add all new form groups
			foreach($nFormGroupARRAY AS $nGroupLangCode => $nFormGroup1){
				$nForm1->AddGroup($nFormGroup1);
			}
			// Build the language tabs underneath
			if(count($nActiveLangARRAY)>1){ $nForm1->AddGroup(nGetLangTabGroup()); }
		}
}

// Finalize and display form
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// Post-processing
	if(isset($_POST["id"])){ $nItemID = $_POST["id"]; } else { $nItemID = ""; }
	if(isset($_POST["nContentID"])){ $nContentID = $_POST["nContentID"]; } else { $nContentID = ""; }
	if(isset($_POST["nText"])){ $nText = nConvertIntChars($_POST["nText"]); } else { $nText = ""; }
	if(isset($_POST["nTextarea"])){ $nTextarea = nConvertIntChars($_POST["nTextarea"]); } else { $nTextarea = ""; }
	if(isset($_POST["nLinkID"])){ $nLinkID = $_POST["nLinkID"]; } else { $nLinkID = ""; }
	if(isset($_POST["nImgID"])){ $nImgID = $_POST["nImgID"]; } else { $nImgID = ""; }
	if(isset($_POST["nOrderID"])){ $nOrderID = $_POST["nOrderID"]; } else { $nOrderID = ""; }
	
	$Query = "UPDATE nContent SET nText='$nText',nTextarea='$nTextarea',nLinkID='$nLinkID',nImgID='$nImgID',nOrderID='$nOrderID' WHERE nID=$nContentID LIMIT 1";
	//print "$Query<BR><BR>";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
	
	// first remove any currently translated content for this item
	if($nContentID){
		$nType = "comp";
		$Query = "DELETE FROM nTranslate WHERE nItemID='$nContentID' AND nType='$nType'";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
		
		// Now process all valid content fields into array for later saving (will come in like this 'nText_1' or this 'nText_3_es')
		$nOrderLangUsedARRAY = array();
		foreach($_POST AS $nPostItem => $nPostValue){
			if(preg_match("/^nText|nTextarea|nLinkID|nImgID/",$nPostItem)){
				$nContentItemARRAY = explode("_",$nPostItem);
				if(isset($nContentItemARRAY[0])){ $nFieldName = $nContentItemARRAY[0]; } else { $nFieldName = ""; }
				if(isset($nContentItemARRAY[1])){ $nOrderNum = $nContentItemARRAY[1]; } else { $nOrderNum = ""; }
				if(isset($nContentItemARRAY[2])){ $nLangCode = $nContentItemARRAY[2]; } else { $nLangCode = ""; }
				if(!$nLangCode){ $nLangCode = $nDefaultLang; }
				$nPostValue = nConvertIntChars($nPostValue);
				// save content
				if(array_search("$nOrderNum$nLangCode",$nOrderLangUsedARRAY)===false){
					$Query = "INSERT INTO nTranslate (nID,$nFieldName,nItemID,nLang,nOrderID,nType) VALUES ('','$nPostValue','$nContentID','$nLangCode','$nOrderNum','$nType')";
					mysql_select_db($DBName);
					mysql_query($Query, $Link);
					$nOrderLangUsedARRAY[] = "$nOrderNum$nLangCode";
				} else {
					$Query = "UPDATE nTranslate SET $nFieldName='$nPostValue' WHERE nItemID='$nContentID' AND nOrderID='$nOrderNum' AND nLang='$nLangCode' AND nType='$nType'";
					//print "$Query<BR><BR>";
					mysql_select_db($DBName);
					mysql_query($Query, $Link);
				}
			}
		}
	}
	
	// echo print_r($_POST); // for testing purposes
	echo $nFormToDisplay;
	echo "<script>$nRefreshCall $.colorbox.close();</script>";
} else {
	echo $nFormToDisplay;
	echo "<script>$.colorbox.resize();</script>";
}
?>
</div>

<script>
refreshParentsCompEdit = function(){
	try{ refreshMobileComps(); } catch(e){ }
	try{ refreshPageComps(); } catch(e){ setTimeout("location.reload(true);", 200); }
}
previewImg = function(){
	var popupPath = 'popup_img_preview.php?id='+$('#nImgID_1').val();
	PopUp(popupPath,'imgPreview',300,240,0);
}
function updateImageField(xFld,xImageID){
	if(xFld){
		xFieldToUpdate = $('#'+xFld);
		xFieldToUpdate.val(xImageID);
		// update image based on user choice
		if($('#ajaxUpdateableImage')){
			$("#ajaxUpdateableImage").fadeTo('slow',0.5);
			$("#ajaxUpdateableImage").load('load/image.php?id='+xImageID+'&maxw=300&maxh=80', function(response) {
				$("#ajaxUpdateableImage").fadeTo('slow',1.0);
				$.colorbox.resize();
			});
		}
	} else {
		alert('Failed to update image. Please re-open the component you are editing and try again.');
		self.close();
	}
	return true;
}
</script>

<?php
// called from component files
function addField($nFldID="",$nTitle="",$nCaption="",$nDefVal="",$nFldStyle="",$nCustFuncMan="",$nCustFuncSite=""){
	global $nForm1,$nFormGroupARRAY,$nDefaultLang,$nContentID,$nActiveLangARRAY,$nFieldCalledARRAY,$nCompFileName;
	
	// For each language, buld a seperate field for this field and add it to the appropriate form group (group was created earlier)
	foreach($nActiveLangARRAY as $nLangCode => $nLangName){
		if($nFormGroupARRAY[$nLangCode]){
			$nFormGroup1 = $nFormGroupARRAY[$nLangCode];
			if($nLangCode==$nDefaultLang){ $nLangSuffix = ""; } else { $nLangSuffix = "_$nLangCode"; $nFormGroup1->Style = "display:none;"; }
			
			if($nFldID=="rte"){ $nFldID = "textarea-rte"; } // fix for built-in error (until "rte" is renamed "textarea-rte")
			
			if(!$nFldID || !$nFormGroup1 || !is_object($nFormGroup1) || !$nForm1 || !is_object($nForm1)){ return; }
			if(count($nActiveLangARRAY)>1){ $nTitle="$nTitle ($nLangName):"; } else { $nTitle="$nTitle:"; }
			$nFldIDARRAY = explode("-",$nFldID); // split fldID into base,extension (e.g. image,Header)
			// Special field cases need more handling
			if($nFldIDARRAY[0]=="image"){ $nFldID="image"; $nImageLibrary = $nFldIDARRAY[1]; }
			$nFldAppend = $nFldIDARRAY[0].$nLangSuffix;
			if(isset($nFieldCalledARRAY[$nFldAppend])){ $nFieldCalledARRAY[$nFldAppend]++; } else { $nFieldCalledARRAY[$nFldAppend] = 1; }
			switch($nFldID){
				case "text":
					$nLoadedValue = nGetLangContent($nLangCode,$nContentID,"comp","nText",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nText_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nText~1_en
					$nFormField = new FormField("text","$nFldName","$nTitle");
					if($nLoadedValue){ $nFormField->Value = $nLoadedValue; } else { $nFormField->Value = $nDefVal; }
					$nFormField = $nForm1->AddValidation("maxlength",$nFormField,200);
					$nFormField->RowSize = "Half";
					break;
				case "textarea":
					$nLoadedValue = nGetLangContent($nLangCode,$nContentID,"comp","nTextarea",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nTextarea_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nTextarea~1_en
					$nFormField = new FormField("textarea","$nFldName","$nTitle");
					if($nLoadedValue){ $nFormField->Value = $nLoadedValue; } else { $nFormField->Value = $nDefVal; }
					$nFormField->RowSize = "Half";
					//$nFormField->Caption = "$nCaption <a href=\"popup_editor.php?nFieldName=$nFldName&nFormName=FormCompEdit\" target=\"popup_editor\" class=\"content\" onClick=\"PopUp(this.href,this.target,820,560,0);\">Open In Advanced Editor (WYSIWYG)</a>";
					break;
				case "textarea-rte":
					$nLoadedValue = nGetLangContent($nLangCode,$nContentID,"comp","nTextarea",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nTextarea_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nTextarea~1_en
					$nFormField = new FormField("rte","$nFldName","$nTitle");
					$nFormField = $nForm1->AddOnSubmitScript("$('#$nFldName').val(FCKeditorAPI.GetInstance('$nFldName').GetXHTML());",$nFormField);
					if($nLoadedValue){ $nFormField->Value = $nLoadedValue; } else { $nFormField->Value = $nDefVal; }
					$nFormField->RowSize = "Full";
					$nFormField->RowStyle = "width:98%;";
					//$nFormField->Caption = "$nCaption <a href=\"popup_editor.php?nFieldName=$nFldName&nFormName=FormCompEdit\" target=\"popup_editor\" class=\"content\" onClick=\"PopUp(this.href,this.target,820,560,0);\">Open In Advanced Editor (WYSIWYG)</a>";
					break;
				case "link":
				case "link-Page":
					$nLinkIDSelected = nGetLangContent($nLangCode,$nContentID,"comp","nLinkID",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nLinkID_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nLinkID~1_en
					$nFormField = new FormField("select","$nFldName","$nTitle");
					$nFormField->DataARRAY = nGetPageARRAY();
					if($nLinkIDSelected){
						$nFormField->SelectedARRAY = array("$nLinkIDSelected" => "selected");
					} else {
						$nFormField->SelectedARRAY = array("0" => "selected"); // default
					}
					$nFormField->RowSize = "Half";
					break;
				case "link-Section":
					$nLinkIDSelected = nGetLangContent($nLangCode,$nContentID,"comp","nLinkID",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nLinkID_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nLinkID~1_en
					$nFormField = new FormField("select","$nFldName","$nTitle");
					$nFormField->DataARRAY = nGetSectionARRAY();
					if($nLinkIDSelected){
						$nFormField->SelectedARRAY = array("$nLinkIDSelected" => "selected");
					} else {
						$nFormField->SelectedARRAY = array("0" => "selected"); // default
					}
					$nFormField->RowSize = "Half";
					break;
				case "image":
					$nImgIDSelected = nGetLangContent($nLangCode,$nContentID,"comp","nImgID",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nImgID_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nImgID~1_en
					if($nImageLibrary){ $nImgType = $nImageLibrary; } else { $nImgType = "Content"; }
					
					// Static field to hold image preview
					$nFormField = new FormField("static","nImagePreview_$nFldName","$nTitle");
					if($nImgIDSelected){
						$nImg = nGetImageTagFromID($nImgIDSelected,"Click to choose a new image",300,80);
						$nImg = "<a href=\"popup_imglib.php?t=$nImgType&mode=c&fld=$nFldName\" target=\"imgLib\" onClick=\"PopUp(this.href,this.target,720,480,1);\"><span id=\"ajaxUpdateableImage\">$nImg</span></a>";
					} else {
						$nImg = "<a href=\"popup_imglib.php?t=$nImgType&mode=c&fld=$nFldName\" target=\"imgLib\" onClick=\"PopUp(this.href,this.target,720,480,1);\"><span id=\"ajaxUpdateableImage\"><input type=\"button\" name=\"nCancel\" id=\"nCancel\" value=\"Click to choose an image...\" class=\"formCancel\" style=\"background-color:white; color:black; background-image:none; font-weight:normal;\"></span></a>";
					}
					if($nCaption){ $nFormField->Caption = "$nCaption"; }
					$nFormField->Value = $nImg;
					$nFormGroup1->AddField($nFormField);
					
					// Field to hold actual image ID
					$nFormField = new FormField("text","$nFldName","$nTitle");
					$nFormField->Value = $nImgIDSelected;
					$nFormField->RowStyle = "display:none;";
					break;
				case "text-ImageLibrary":
					$nLoadedValue = nGetLangContent($nLangCode,$nContentID,"comp","nText",$nFieldCalledARRAY[$nFldAppend]);
					$nFldName = "nText_".$nFieldCalledARRAY[$nFldAppend]."$nLangSuffix"; // e.g. nText~1_en
					$nFormField = new FormField("select","$nFldName","$nTitle");
					$nFormField->DataARRAY = nGetLibImgARRAY("$nImgType",true);
					if($nLoadedValue){
						$nFormField->SelectedARRAY = array("$nLoadedValue" => "selected");
					} else {
						$nFormField->SelectedARRAY = array("0" => "selected"); // default
					}
					$nFormField->RowSize = "Half";
					break;
			}
			
			// If custom build function exists, override built-in field with custom function
			$nFunctionName = "";
			if($nCompFileName && $nCustFuncMan){ $nFunctionName = $nCompFileName."_".$nCustFuncMan; }
			if(function_exists($nFunctionName)){
				eval("\$nCustFuncReturn = $nFunctionName(\$nFldName,\$nLoadedValue);");
				$nFormField = new FormField("static","","<div>$nTitle</div>$nCustFuncReturn");
			}
			// Finally, finish up and add field to form
			if($nFormField){
				if($nCaption && !$nFormField->Caption){ $nFormField->Caption = "$nCaption"; }
				if($nFldStyle){ $nFormField->Style = "$nFldStyle"; }
				$nFormGroup1->AddField($nFormField);
			}
		}
	}
}

function nGetComponentName($nRecID){
	global $DBName,$Link;
	$nSQL = "SELECT nName FROM nComponent WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nName = $Row["nName"];
	}
	return $nName;
}

function nGetComponentFile($nRecID){
	global $DBName,$Link;
	$nSQL = "SELECT nCompFile FROM nComponent WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nCompFile = $Row["nCompFile"];
	}
	return $nCompFile;
}

function nGetImageTagFromID($nImgID,$nAltTag="",$nMaxWidth="",$nMaxHeight=""){
	global $DBName,$Link,$nJSOnloadARRAY;
	//if(!$nImgID){ return 0; }
	$nSQL = "SELECT nPath,nPathOver FROM nImage WHERE nID='$nImgID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nPath = $Row["nPath"];
		$nPathOver = $Row["nPathOver"];
	}
	// search a few levels up in case this image is being shown in editor
	if(!file_exists($nPath)){ $nPath = "../$nPath"; $nPathOver = "../$nPathOver"; }
	if(!file_exists($nPath)){ $nPath = "../$nPath"; $nPathOver = "../$nPathOver"; }
	if(file_exists($nPath)){
		$nImgTag = nGetImgTag($nPath,$nAltTag,$nMaxWidth,$nMaxHeight);
		if($nPathOver){ $nJSOnloadARRAY[]="new Rollover('img$nImgID');"; }
		return $nImgTag;
	} else {
		return "$nPath";
	}
}

function nGetImgTag($nImgFile,$nAltTag="",$nMaxWidth="",$nMaxHeight=""){
	global $nFullSitePath;
	if(!$nImgFile){ return; }
	if(file_exists("$nImgFile")){
		$nImgTagARRAY = getimagesize($nImgFile);
		$nImgTagW = $nImgTagARRAY[0];
		$nImgTagH = $nImgTagARRAY[1];
		// Resize image dimensions, if needed
		if($nMaxWidth && !$nMaxHeight){ $nMaxHeight = 9999; }
		if($nMaxHeight && !$nMaxWidth){ $nMaxWidth = 9999; }
		if($nMaxWidth && $nMaxHeight && ($nImgTagW>$nMaxWidth || $nImgTagH>$nMaxHeight)){
			$nResizeRatio = MIN( $nMaxWidth / $nImgTagW, $nMaxHeight / $nImgTagH );
			$nImgTagW = $nResizeRatio * $nImgTagW;
			$nImgTagH = $nResizeRatio * $nImgTagH;
		}
		$nImgTagWH = "width=\"".round($nImgTagW)."\" height=\"".round($nImgTagH)."\"";
	}
	// build absolute path so image shows in both editor and front-end
	$nFinalPath = $nFullSitePath.$nImgFile;
	$nFinalPath = str_replace("../","",$nFinalPath);
	$nTag = "<img src=\"$nFinalPath\" alt=\"$nAltTag\" $nImgTagWH border=\"0\">";
	return $nTag;
}

function nGetSectionARRAY(){
	global $DBName,$Link;
	global $nRecID;
	$nDataARRAY = array();
	$nSQL = "SELECT * FROM nSection ORDER BY nParentID,nName ASC";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"];
		$nName = $Row["nName"];
		$nParentID = $Row["nParentID"];
		$nPageCount = nGetPageCount($nID);
		if($nParentID){
			if($nPageCount){ $nDataARRAY["$nID"] = "- $nName ($nPageCount pages)"; }
		} else {
			if($nPageCount){ $nDataARRAY["$nID"] = "$nName ($nPageCount pages)"; }
		}
	}
	return $nDataARRAY;
}

function nGetPageARRAY(){
	global $DBName,$Link;
	global $nRecID;
	$nDataARRAY = array();
	$nDataARRAY[0] = "- Do not link to a Page -";
	$nSQL = "SELECT nID,nNavTitle FROM nPage ORDER BY nType,nSectionID,nOrderID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"];
		$nNavTitle = $Row["nNavTitle"];
		$nDataARRAY["$nID"] = "$nNavTitle";
	}
	return $nDataARRAY;
}

function nGetImgARRAY($nFilter="",$nAllowNone=false){
	global $DBName,$Link;
	$nWhereSQL = "";
	$nDataARRAY = array();
	if($nAllowNone){ $nDataARRAY[0] = "- None -"; }
	if($nFilter){ $nWhereSQL = "WHERE nType='$nFilter'"; }
	$nSQL = "SELECT nID,nPath FROM nImage $nWhereSQL";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"];
		$nPath = $Row["nPath"];
		$nDataARRAY["$nID"] = "$nPath";
	}
	return $nDataARRAY;
}
function nGetLibImgARRAY(){
	global $DBName,$Link;
	$nDataARRAY = array();
	$nSQL = "SELECT * FROM nLibrary";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nLibraryID = $Row["nID"];
		$nName = $Row["nName"];
		$nDataARRAY["image-$nName"]="$nName";
	}
	return $nDataARRAY;
}

function nGetPageCount($nSectionID){
	global $DBName,$Link;
	if($nSectionID===""){ return 0; }
	$nNumRecords = 0;
	$nSQL = "SELECT nID FROM nPage WHERE nSectionID=$nSectionID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nNumRecords = mysql_num_rows($Result);
	return $nNumRecords;
}

function nGetNextContentNum(){
	global $DBName,$Link;
	$nSQL = "SELECT Max(nID) AS nID FROM nContent";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"] + 1;
	}
	return $nID;
}

// returns an array of content found for that particular field
function nGetLangContent($nLangCode,$nItemID,$nType,$nFieldName,$nOrderID){
	global $DBName, $Link;
	if(!$nLangCode || !$nItemID || !$nType || !$nFieldName){ return; };
	$nContent = "";
	$Query = "SELECT $nFieldName AS nContent FROM nTranslate WHERE nLang='$nLangCode' AND nItemID='$nItemID' AND nType='$nType' AND nOrderID='$nOrderID'";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	while ($Row = mysql_fetch_array($Result)) {
		$nContent = $Row["nContent"];
	}
	// Replace special characters
	$nContent = stripslashes($nContent);
	$nContent = str_replace("\"","&quot;",$nContent);
	return $nContent;
}

// returns array of active storefront languages in alpha order, default will be first item in array 
function nGetLangActiveARRAY(){
	global $nDefaultLang;
	$nDefaultLangARRAY = array();
	$nLangARRAY = array();
	// Get all files in directory
	$path = "../../lang/";    
	$dir_handle = @opendir($path) or die("Unable to open $path");    
	while ($file = readdir($dir_handle)) {
		if($file == "." || $file == ".." || $file == "index.php" )
			continue;
		$nFileCode = str_replace(".php","",$file);
		if(!is_dir("$path$file/")){
			if(file_exists("$path$file")){ require("$path$file"); }
			if($nFileCode == $nDefaultLang){
				if($nLang){ $nDefaultLangARRAY["$nFileCode"] = $nLang; } // default language
			} else {
				if($nLang){ $nLangARRAY["$nFileCode"] = $nLang; }
			}
		}
	}
	closedir($dir_handle);
	krsort($nLangARRAY);
	foreach($nDefaultLangARRAY as $nLangCode => $nLangName) {
		$nLangARRAY["$nLangCode"] = $nLangName;
	}
	$nLangARRAY = array_reverse($nLangARRAY,true);
	return $nLangARRAY;
}

function nGetLangTabGroup(){
	global $nActiveLangARRAY,$nDefaultLang;
	$nFormGroup1 = new FormGroup();
	$nHideCodeJS = "";
	$nLangDivARRAY = array();
	$nLangTabARRAY = array();
	foreach($nActiveLangARRAY as $nLangCode => $nLangName) { $nLangDivARRAY[] = "#tabbody_$nLangCode"; $nLangTabARRAY[] = "#tab_$nLangCode"; }
	if($nLangDivARRAY){ $nLangDivList = implode(",",$nLangDivARRAY); }
	if($nLangTabARRAY){ $nLangTabList = implode(",",$nLangTabARRAY); }
	$nHideCodeJS.="$('$nLangDivList').hide(); $('$nLangTabList').removeClass('langTabActive').addClass('langTab');";
	foreach($nActiveLangARRAY as $nLangCode => $nLangName) {
		if($nLangCode==$nDefaultLang){ $nLangSuffix = ""; $nClass="langTabActive"; } else { $nLangSuffix = "_$nLangCode"; $nClass="langTab"; }
		$nLangLinks.="<a href=\"javascript:;\" onClick=\"$nHideCodeJS $('#tabbody_$nLangCode').show(); $('#tab_$nLangCode').removeClass('langTab').addClass('langTabActive');\" id=\"tab_$nLangCode\" class=\"$nClass\">$nLangName</a> ";
	}
	$nFormField = new FormField("static","","Language: $nLangLinks");
	$nFormField->RowStyle = "clear:both;float:none;font-weight:bold;";
	$nFormGroup1->AddField($nFormField);
	return $nFormGroup1;
}

function nUnconvertIntChars($nText){
	if(!$nText){ return; }
	// lowercase
	$nText = str_replace("&uacute;","",$nText);
	$nText = str_replace("&iacute;","",$nText);
	$nText = str_replace("&oacute;","",$nText);
	$nText = str_replace("&eacute;","",$nText);
	$nText = str_replace("&aacute;","",$nText);
	$nText = str_replace("&ntilde;","",$nText);
	// uppercase
	$nText = str_replace("&Uacute;","",$nText);
	$nText = str_replace("&Iacute;","",$nText);
	$nText = str_replace("&Oacute;","",$nText);
	$nText = str_replace("&Eacute;","",$nText);
	$nText = str_replace("&Aacute;","",$nText);
	$nText = str_replace("&Ntilde;","",$nText);
	return $nText;
}

/**
 * Check the syntax of some PHP code.
 * @param string $code PHP code to check.
 * @return boolean|array If false, then check was successful, otherwise an array(message,line) of errors is returned.
 */
function php_syntax_error($code){
    $braces=0;
    $inString=0;
    foreach (token_get_all('<?php ' . $code) as $token) {
        if (is_array($token)) {
            switch ($token[0]) {
                case T_CURLY_OPEN:
                case T_DOLLAR_OPEN_CURLY_BRACES:
                case T_START_HEREDOC: ++$inString; break;
                case T_END_HEREDOC:   --$inString; break;
            }
        } else if ($inString & 1) {
            switch ($token) {
                case '`': case '\'':
                case '"': --$inString; break;
            }
        } else {
            switch ($token) {
                case '`': case '\'':
                case '"': ++$inString; break;
                case '{': ++$braces; break;
                case '}':
                    if ($inString) {
                        --$inString;
                    } else {
                        --$braces;
                        if ($braces < 0) break 2;
                    }
                    break;
            }
        }
    }
    $inString = @ini_set('log_errors', false);
    $token = @ini_set('display_errors', true);
    ob_start();
    $braces || $code = "if(0){{$code}\n}";
    if (eval($code) === false) {
        if ($braces) {
            $braces = PHP_INT_MAX;
        } else {
            false !== strpos($code,CR) && $code = strtr(str_replace(CRLF,LF,$code),CR,LF);
            $braces = substr_count($code,LF);
        }
        $code = ob_get_clean();
        $code = strip_tags($code);
        if (preg_match("'syntax error, (.+) in .+ on line (\d+)$'s", $code, $code)) {
            $code[2] = (int) $code[2];
            $code = $code[2] <= $braces
                ? array($code[1], $code[2])
                : array('unexpected $end' . substr($code[1], 14), $braces);
        } else $code = array('syntax error', 0);
    } else {
        ob_end_clean();
        $code = false;
    }
    @ini_set('display_errors', $token);
    @ini_set('log_errors', $inString);
    return $code;
}
?>
<?php require("../../inc/db_close.php"); ?>
