<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 1;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
require("../../inc/config.php");

// config
$nRefreshCall = "refreshUsers();";

// AJAX Specific vars
$nPassThru = "";
$nDivToUpdate = "editModal";
$nPageInDiv = "dialog/user_add.php";
?>

<div id="<?php echo $nDivToUpdate;?>">
<?php
include("../inc/form_class.php");

$nFormName = "FormUserAdd";
$nForm1 = new Form();
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "$.colorbox.close()";
$nForm1->CancelRedirectIsJS = true;
$nForm1->SubmitText = "Add New User";
$nForm1->AddToDBTable = "nEditor";
$nForm1->DontProcess = "nSendEmail";

$nForm1->DBLink = $Link;
$nForm1->nUseADODB = false;
// AJAX settings
$nForm1->SubmitIsJS = true;
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru','$nFormName');return false;";

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
$nFormField = new FormField("hidden","nID");
$nFormField->Value = nGetNextUserNum();
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nUser","Login Username:");
$nFormField->Caption = "(max. 50 characters)";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField = $nForm1->AddValidation("minlength",$nFormField,4);
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,50);
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("password","nPass","Login Password:");
$nFormField->Caption = "(max. 16 characters)";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField = $nForm1->AddValidation("minlength",$nFormField,4);
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,16);
//$nFormField = $nForm1->AddEncoding("RC4",$nFormField);
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("select","nAdmin","Choose an Access Level:");
$nFormField->DataARRAY = array(
	"0" => "Editor",
	"1" => "Administrator");
$nFormField->SelectedARRAY = array("0" => "selected"); // default
$nFormField->RowSize = "Half";
$nFormField->Style = "width:200px;";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nEmail","E-mail Address:");
if(isset($nEmail)){ $nFormField->Value = $nEmail; }
$nFormField = $nForm1->AddValidation("email",$nFormField);
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField->RowSize = "Half";
$nFormField->Style = "width:428px;";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("checkbox","nSendEmail","");
$nFormField->DataARRAY = array(
	"nSendEmail" => "Send this new user an email with their login information now.<BR><BR>"
);
$nFormField->SelectedARRAY["nSendEmail"] = "selected";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// Post-processing
	$nEmail = $_POST["nEmail"];
	$nSendEmail = $_POST["nSendEmail"];
	$nUser = $_POST["nUser"];
	$nPass = $_POST["nPass"];
	$nSettingsARRAY = nGetSiteSettingsARRAY();
	$nCoName = $nSettingsARRAY["coName"];
	$nSiteName = $nSettingsARRAY["siteName"];
	$nFullSitePath = $nSettingsARRAY["fullSitePath"];
	if($nSendEmail){
		//////////////////////////////
		$nSubject = "Your login information for $nSiteName";
		$nHdr  = 'MIME-Version: 1.0' . "\r\n";
		$nHdr .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
		$nHdr .= 'From: Web Pro Manager <info@thewebpro.com>' . "\r\n";
		// Mail it
		$nBody = "<strong>You are now an editor of the $nCoName website!</strong><BR><BR>A new user has been setup for you:<BR><BR><div align=\"center\" style=\"font-size:larger;\">Username: <strong style=\"font-size:larger;color:#777;\">$nUser</strong><BR>Password: <strong style=\"font-size:larger;color:#777;\">$nPass</strong></div><BR>You can login here: <a href=\"".$nFullSitePath."manage/\">".$nFullSitePath."manage/</a><BR><BR>Once logged in, you can change your username/password.<BR><BR>";
		if(!@mail($nEmail,$nSubject,$nBody,$nHdr)){ echo "<strong style=\"color:red;\">UNABLE TO EMAIL: There was a problem e-mailing the new user login information.  Please check your server settings.</strong><BR><BR>"; }
		//////////////////////////////
	}
	echo "<div align=\"center\" id=\"buttonBox\"><BR>";
		echo "<strong>New user '".$_POST["nUser"]."' has been succesfully created!</strong><BR><BR>";
		echo "What do you want to do next?<BR><BR>";
		echo "<input type=\"button\" name=\"nEdit\" value=\"Edit this User\" onClick=\"document.location.href='user_edit.php?id=".$_POST["nID"]."'\" class=\"formSubmit\"> ";
		echo "<input type=\"button\" name=\"nClose\" value=\"Close\" onClick=\"$.colorbox.close();\" class=\"formCancel\"> ";
	echo "</div>";
	echo "<script>$nRefreshCall $.colorbox.resize();</script>";
} else {
	echo $nFormToDisplay;
	echo "<script>$.colorbox.resize();</script>";
}
?>
</div>
<?php
function nGetNextUserNum(){
	global $DBName,$Link;
	$nSQL = "SELECT Max(nID) AS nID FROM nEditor";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"] + 1;
	}
	return $nID;
}
function nGetSiteSettingsARRAY(){
	global $DBName,$Link;
	$nSettingsARRAY = array();
	$nSQL = "SELECT * FROM nSettings";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nSetting = $Row["nSetting"];
		$nValue = $Row["nValue"];
		$nSettingsARRAY[$nSetting] = $nValue;
	}
	return $nSettingsARRAY;
}
?>
<?php require("../../inc/db_close.php"); ?>
