<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/calendar.php");
include("../inc/rc4.php");

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST['id']) ? $_POST['id'] : NULL); }
$nEditMode = (isset($_GET['editMode']) ? $_GET['editMode'] : NULL);
if(!$nEditMode){ $nEditMode = (isset($_POST['editMode']) ? $_POST['editMode'] : NULL); }

// Additional security check if this account is a limited user (give only self access)
$nMyUserID = nGetUserIDFromName($ValidUser);
if(!$nAdminAccess && $nRecID!=$nMyUserID){ exit; }

// AJAX Specific vars
$nPassThru = "?id=$nRecID";
$nDivToUpdate = "ajaxUserPageEdit"; // must be same as parent edit page
$nPageInDiv = "edit/userpage.php";

// Get info
if($nRecID){
	$nSQL = "SELECT * FROM nEditor WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"];
		$nAdmin = $Row["nAdmin"];
	} else { echo "<div align=\"center\" style=\"padding:20px;\"><em>No record found.</em></div>"; }
	$nAllPagesARRAY = nGetAllPagesARRAY();
} else { echo "<div align=\"center\" style=\"padding:20px;\"><em>No record available. Invalid ID.</em></div>"; }
?>

<?php if(!$nEditMode){ ?>

<div id="editBox" style="padding:0px;">
	<div id="editBoxStatic">
		
		<div style="height:121px;overflow:auto;">
			<strong><?if($nAdminAccess){?>This user has access to:<?} else {?>You have access to:<?}?></strong><BR>
			<?php
			$nPageList = nGetEditablePages($nRecID);
			if(!$nPageList && !$nAdmin){ echo "<div align=\"center\" style=\"margin:46px 0 0 0;\"><em class=\"caption\">No access to any pages.</em></div>"; }
			if($nAdmin){ echo "<div align=\"center\" style=\"margin:46px 0 0 0;\"><em class=\"caption\">Administrators have access<BR>to all pages.</em></div>";}
			?>
			<?php if($nPageList && !$nAdmin){ ?><ul style="line-height:14px;"><?php echo $nPageList;?></ul><?php } ?>
		</div>
		
		<?php if(!$nAdmin && $nAdminAccess){ ?>
		<div style="clear:both;">&nbsp;</div>
		<div align="center" id="buttonBox">
			<input type="button" name="nEdit" value="Edit" class="formButton" onClick="loadContent('<?php echo $nDivToUpdate?>','<?php echo $nPageInDiv.$nPassThru?>&editMode=1');">
		</div>
		<?php } else { ?>
		<div style="height:61px;"><BR></div>
		<?php } ?>
	</div>
</div>
<?php } ?>

<?php if($nEditMode){ ?>
<div id="editBox" style="padding:0px;">
	<div id="editBoxStatic" style="padding:6px;">
		
		<div style="height:185px; overflow:auto;">
<?php
include("../inc/form_class.php");

$nFormName = "FormUserEdit";
$nForm1 = new Form();
//$nForm1->DEBUG = true;
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
if($nRecID){
	$nForm1->SubmitText = "Update";
	$nForm1->CancelText = "Cancel";
	$nForm1->CancelRedirect = "loadContent('$nDivToUpdate','$nPageInDiv$nPassThru');";
	$nForm1->CancelRedirectIsJS = true;
	// Form DB settings
	//$nForm1->ModifyDBTable = "nEditor";
	//$nForm1->ModifyDBField = "nID";
	//$nForm1->ModifyDBID = "'$nRecID'";
	//$nForm1->DBLink = $Link;
	//$nForm1->nUseADODB = false;
	// AJAX settings
	$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru',this.name);return false;";
}
$nForm1->DontProcess = "id,editMode";

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
$nFormField = new FormField("hidden","id");
$nFormField->Value = $nRecID;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("hidden","editMode");
$nFormField->Value = "1";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("checkbox","nPageAccess","This user has access to:");
$nFormField->DataARRAY = $nAllPagesARRAY;
$nFormField->SelectedARRAY = nGetEditablePagesARRAY($nRecID);
$nFormField->RowSize = "Half";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// delete all current page access from this editor (start from zero)
	$nSQL = "DELETE FROM xEditorPage WHERE nEditorID=$nRecID";
	mysql_select_db($DBName);
	mysql_query($nSQL, $Link);
	// go through POST and add page access as needed
	foreach($_POST AS $key => $item){
		$nKeyARRAY = explode("_",$key);
		if($nKeyARRAY[0]=="pageid"){
			// save page
			$nSQL = "INSERT INTO xEditorPage (nPageID,nEditorID) VALUES (".$nKeyARRAY[1].",$nRecID)";
			mysql_select_db($DBName);
			mysql_query($nSQL, $Link);
		}
	}
	echo "<script>loadContent('$nDivToUpdate','$nPageInDiv$nPassThru');</script>";
} else {
	echo $nFormToDisplay;
}
?>
		</div>
	</div>
</div>
<?php } ?>
<?php
function nGetEditablePages($nEditorID){
	global $DBName,$Link;
	$nCode = "";
	$nSQL = "SELECT nPageID,nNavTitle FROM xEditorPage LEFT JOIN nPage ON nPageID=nPage.nID WHERE nEditorID=$nEditorID ORDER BY nType,nNavTitle";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nPageName = $Row["nNavTitle"];
		$nCode.="<li><a href=\"page_edit.php?id=$nPageID\">$nPageName</a></li>";
	}
	return $nCode;
}
function nGetEditablePagesARRAY($nEditorID){
	global $DBName,$Link;
	$nDataARRAY = array();
	$nSQL = "SELECT nPageID FROM xEditorPage WHERE nEditorID=$nEditorID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nPageName = nGetPageName($nPageID);
		$nDataARRAY["pageid_"."$nPageID"] = $nPageName."<BR>";
	}
	return $nDataARRAY;
}
function nGetAllPagesARRAY(){
	global $DBName,$Link;
	$nDataARRAY = array();
	$nSQL = "SELECT nID,nNavTitle FROM nPage ORDER BY nType,nNavTitle";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nID"];
		$nNavTitle = $Row["nNavTitle"];
		$nDataARRAY["pageid_"."$nPageID"] = $nNavTitle."<BR>";
	}
	return $nDataARRAY;
}
function nGetPageName($nPageID){
	global $DBName,$Link;
	if(!$nPageID){ return; }
	$nSQL = "SELECT nNavTitle FROM nPage WHERE nID=$nPageID LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nNavTitle = $Row["nNavTitle"];
	}
	return $nNavTitle;
}
function nGetUserIDFromName($nUserName){
	global $DBName,$Link;
	if(!$nUserName){ return; }
	$Query = "SELECT nID FROM nEditor WHERE nUser='$nUserName' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nUserID = $Row["nID"];
	}
	return $nUserID;
}
?>
<?php require("../../inc/db_close.php"); ?>
