<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

// Next line to start calc of page load time
$nPLTStart = microtime(); $nPLTStartARRAY = explode(" ", $nPLTStart); $nPLTStart = $nPLTStartARRAY[1] + $nPLTStartARRAY[0];
require("inc/stop_cache.php");
require("inc/secure_page.php");
// connect to mysql
require("../inc/dbconnect.php");
require("../inc/config.php");
require("../inc/tracker.php");
require("inc/whosonline.php");
require("inc/calendar.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Control Panel :: <?php echo $nSiteName;?></title>
<link rel="stylesheet" type="text/css" href="css/meta-admin.css" />
<link rel="stylesheet" type="text/css" href="css/blue-theme.css" />
<!--[if lte IE 6]><link media="screen" rel="stylesheet" type="text/css" href="css/ie.css" /><![endif]-->
<script type="text/javascript" src="js/css.js"></script>
<script type="text/javascript" src="js/behaviour.js"></script>
<script type="text/javascript" src="js/refresh.js"></script>
</head>

<body>
	<!--[if !IE]>start wrapper<![endif]-->
	<div id="wrapper">

		<?php require("inc/header.php"); ?>
	
		<!--[if !IE]>start content<![endif]-->
		<div id="content">
			
			<!--[if !IE]>start content bottom<![endif]-->
			<div id="content_bottom">
			
			<div class="inner">
				
				<!--[if !IE]>start info<![endif]-->
				<div id="info">
					
					<!--[if !IE]>start section<![endif]-->
					<div class="section">
						<div class="title_wrapper">
							<h2>Welcome</h2>
						</div>
						
						<!--[if !IE]>start section inner<![endif]-->
						<div class="section_inner">
							<div id="dashboard">
									
									<p>
									You are currently logged in to the <strong><?php echo $nCoName;?> Content Management System (CMS)</strong>.
									<BR><BR><BR>
									Your user role is <?if($nAdminAccess){ echo "<strong>Administrator.</strong>"; } else { echo "<strong>Editor.</strong>"; } ?> 
									<?if($nAdminAccess){ ?>
										You can edit all sections, pages, files and users on the site.
										<BR><BR><BR><BR><BR>
									<?php } else { ?>
										You have access to edit the following pages:<BR>
										<?php
										$nUserID = nGetUserIDFromName($ValidUser);
										if($nUserID){ $nPageList = nGetEditablePages($nUserID); }
										if(!$nPageList){ echo "<em class=\"caption\">No access to any pages.</em>"; } else { echo "$nPageList"; }
										?>
										<BR><BR><BR>
										<em>For more detailed information about any of these pages, or to make changes to any pages for which you do not have access, please <strong>contact an Administrator</strong> of the system.</em>
										<BR><BR><BR><BR><BR><BR><BR><BR><BR><BR><BR><BR><BR><BR><BR>
									<?php } ?>
									
							</div>
						</div>
						
						<?if($nAdminAccess){ ?>
						<div class="title_wrapper">
							<h2>Statistics</h2>
						</div>
						<!--[if !IE]>start section inner<![endif]-->
						<div class="section_inner">
							<div id="dashboard">
									
									<p>
									
										<?php
										$nDaysInPast = 30;
										$nChartWidth = 667; $nChartHeight = 125;
										$nTodayDate = date("M.j");
										$nPastDate = nGetDay(date("Y-m-d"),-$nDaysInPast);
										$nPastDateARRAY = explode("-",$nPastDate);
										$nPastDate = date("M.j", mktime(0,0,0,$nPastDateARRAY[1],$nPastDateARRAY[2],$nPastDateARRAY[0]) );
										$nChartTitle = "Visitors to $nCoName in the last 30 days ($nPastDate - $nTodayDate)";
										?>
										<img src="<?php echo nGetGoogleChartVisitorsURL($nDaysInPast,$nChartWidth,$nChartHeight,$nChartTitle);?>" width="<?php echo $nChartWidth;?>" height="<?php echo $nChartHeight;?>" alt="<?php echo $nChartTitle;?>" />
										<BR><BR><BR><BR><BR><BR><BR><BR><BR><BR><BR>
									
									
							</div>
						</div>
						<!--[if !IE]>end section inner<![endif]-->
						<?php } ?>
						
					</div>
					<!--[if !IE]>end section<![endif]-->
					
				</div>
				<!--[if !IE]>end info<![endif]-->
				
				
<?php
nCleanupTracker(5);
$nAmountActive = nGetAmountActive();
$nAmountLoggedIn = nGetAmountLoggedIn();
?>
				
				<!--[if !IE]>start sidebar<![endif]-->
				<div id="sidebar">
					
					<!--[if !IE]>start sidebar module<![endif]-->
					<div class="sidebar_module">
						<div class="title_wrapper">
							<h3>Current Stats</h3>
						</div>
						<div id="statistics">
							<dl>
								<dt>Visitors currently on site</dt>
								<dd><?php echo $nAmountActive;?></dd>
							</dl>
							<dl>
								<dt>Users logged in to CMS</dt>
								<dd><?php echo $nAmountLoggedIn;?></dd>
							</dl>
						</div>
					</div>
					<!--[if !IE]>end sidebar module<![endif]-->
					
					
					
					<!--[if !IE]>start sidebar module<![endif]-->
					<div class="sidebar_module">
						<div class="title_wrapper">
							<h3>Quick Links</h3>
						</div>
						<div id="secondary_menu">
							<ul>
								<li><a href="<?php echo $nFullSitePath;?>" target="_blank">View Website<img src="img/external.png" alt="" width="16" height="16" border="0" style="margin:0 0 -3px 4px;"></a></li>
								<li><a href="settings_edit.php">Site Settings</a></li>
								<li><a href="sys_settings_edit.php">System Settings</a></li>
							</ul>
						</div>
					</div>
					<!--[if !IE]>end sidebar module<![endif]-->
					
				</div>
				<!--[if !IE]>end sidebar<![endif]-->
				
			</div>
			<!--[if !IE]>end content bottom<![endif]-->
			</div>
			
		</div>
		<!--[if !IE]>end content<![endif]-->
	</div>
	<!--[if !IE]>end wrapper<![endif]-->
	
	<?php require("inc/footer.php"); ?>
	
</body>
</html>
<?php
function nGetGoogleChartVisitorsURL($nDaysInPast,$nWidth=400,$nHeight=100,$nTitle=""){
	$nVisitorsARRAY = nGetVisitorsARRAY($nDaysInPast);
	$nDateARRAY = array(); $nPaymentTotalARRAY = array();
	foreach($nVisitorsARRAY AS $nDate => $nPaymentTotal){
		// considers date is formatted "YYYY-MM-DD"
		$nIndivDateARRAY = explode("-",$nDate);
		$nDateDay = $nIndivDateARRAY[2];
		$nDateDay = preg_replace('/^[0]/', '', $nDateDay); // trim off leading 0s
		if($nDateDay==1){ $nDateDay = nGetMonthName($nDate,1).".".$nDateDay; }
		$nDateARRAY[] = $nDateDay;
		// add payment total to it's own array
		$nPaymentTotalARRAY[] = $nPaymentTotal;
	}
	$nDateSet = implode("|",$nDateARRAY);
	$nPaymentSet = implode(",",$nPaymentTotalARRAY);
	$nMaxPayment = max($nPaymentTotalARRAY);
	$nMaxARRAY = array(1000000,500000,200000,100000,50000,20000,10000,5000,2000,1000,500,200,100,50,10,5);
	foreach($nMaxARRAY AS $nMaxThreshold){
		if($nMaxThreshold>$nMaxPayment){ $nMax=$nMaxThreshold; }
	}
	// special formatting for title before sending to Google
	$nTitle = str_replace(" ","+",$nTitle);
	$nTitle = str_replace("$","%24",$nTitle);
	$nURL = "http://chart.apis.google.com/chart?chxl=1:|".$nDateSet."&chxr=0,0,".$nMax."&chxs=0,888888,10.5,0,l,676767|1,676767,10.5,0,l,676767&chxt=y,x&chbh=a&chs=".$nWidth."x".$nHeight."&cht=bvg&chco=498ca9&chds=0,".$nMax."&chd=t:".$nPaymentSet."&chg=0,25,5,4&chtt=".$nTitle;
	return $nURL;
}
function nGetVisitorsARRAY($nTimeInPast=1){
	global $DBName, $Link;
	$nTotalOrders = 0;
	// Decide start/end dates for this data based on passed-in vars
	$nStartDate = date("m/d/Y", mktime(0,0,0,date("m"),date("d")-$nTimeInPast,date("Y")) );
	$nEndDate = date("Y-m-d");
	// Create an array to hold the sales totals for period
	$nSalesARRAY = array();
	for($nStep=$nTimeInPast; $nStep--; $nStep>=0){
		// $nStep = 30, 29, 28,..., 1
		$nCurrDate = nGetDay($nEndDate,-$nStep);
		$nSalesARRAY["$nCurrDate"] = nGetVisitorsOnDate($nCurrDate);
		
	}
	return $nSalesARRAY;
}
function nGetVisitorsOnDate($nDate){
	// Accepts date in format "YYYY-MM-DD", converts it to "MM/DD/YYYY"
	global $DBName,$Link;
	if(!$nDate){ return; }
	$nNextDayDate = nGetDay($nDate,1);
	//$nDate = nDateToDisplay($nDate);
	//$nNextDayDate = nDateToDisplay($nNextDayDate);
	$nTotalVisitors = 0;
	$nSQL = "SELECT nIP FROM nVisitLog WHERE (nAccessDate>='$nDate' AND nAccessDate<'$nNextDayDate')";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nTotalVisitors = mysql_num_rows($Result);
	return $nTotalVisitors;
}
function nGetEditablePages($nEditorID){
	global $DBName,$Link;
	$nSQL = "SELECT nPageID,nNavTitle FROM xEditorPage LEFT JOIN nPage ON nPageID=nPage.nID WHERE nEditorID=$nEditorID ORDER BY nType,nNavTitle";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nPageName = $Row["nNavTitle"];
		$nCode.="<li><a href=\"page_edit.php?id=$nPageID\">$nPageName</a></li>";
	}
	return $nCode;
}
function nGetUserIDFromName($nUserName){
	global $DBName,$Link;
	if(!$nUserName){ return; }
	$Query = "SELECT nID FROM nEditor WHERE nUser='$nUserName' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nUserID = $Row["nID"];
	}
	return $nUserID;
}
?>
<?php require("../inc/db_close.php"); ?>

