<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/paginator.php");
include("../inc/pageutil.php");
include("../inc/calendar.php");
require("../inc/imgedit.php");

$nShowPerPg = 999;

// Fix for "lost" pages: in sections that don't exist
nFixLostPages();

// if limited user, get page access to apply limitations
if(!$nAdminAccess){ $nPageIDAccessARRAY = nGetPageIDAccessARRAY($ValidUser); }

// Get passed-in vars
if(isset($_GET["pg"])){ $nPage = $_GET["pg"]; } else { $nPage = ""; }
if(!$nPage && isset($_POST["pg"])){ $nPage = $_POST["pg"]; }
if(isset($_GET["srt"])){ $nSort = $_GET["srt"]; } else { $nSort = ""; }
if(isset($_GET["ord"])){ $nSortOrder = $_GET["ord"]; } else { $nSortOrder = ""; }
if(isset($_GET["spp"])){ $nShowPerPgOverride = $_GET["spp"]; } else { $nShowPerPgOverride = ""; }
if($nShowPerPgOverride){ $nShowPerPg = $nShowPerPgOverride; }

// Setup SQL query for displayed listing
if(!$nSort){ $nSort="nName"; }  // default sort
if(!$nSortOrder){ $nSortOrder="ASC"; }  // default sort order
$nWhereARRAY[] = "nName!='Page Templates'";

$nWhereSQL = "";
if(isset($nWhereARRAY)){ $nWhereSQL = "WHERE ".implode(" AND ",$nWhereARRAY); } else { $nWhereSQL = ""; }
$nOrderBySQL = "ORDER BY nParentID,$nSort $nSortOrder";
$nListingSQL = "SELECT * From nSection $nWhereSQL $nOrderBySQL";
?>
<div id="listContent" style="padding-top:0px;">
<?php
$nPassThru = "";
$nDivToUpdate = "ajaxPages";
$nPageInDiv = "list/pages.php";
$nCurrQueryStr = $_SERVER['QUERY_STRING'];
if($nCurrQueryStr){ $nFullPageInDiv = $nPageInDiv."?".$nCurrQueryStr; } else { $nFullPageInDiv = $nPageInDiv; }
$nPagingText = nGetPaging($nListingSQL,$nPage,$nShowPerPg,$nPassThru,$nDivToUpdate,$nPageInDiv);
if($nPassThru){ $nPassThruQry="?".$nPassThru; $nPassThru="&".$nPassThru; }
// for extrenal refresh requests
print "<script>refreshPages = function(){ loadContent('".$nDivToUpdate."','".$nFullPageInDiv."'); }</script>";
?>

<div id="editBox">
		<div id="pageDD">
			<?php echo nGetSectionList();?>
		</div>
</div>

<style>
.ui-state-highlight{ background:#fff url('img/icon_placeholder.gif') repeat-x top center; float:left; display:block; width:64px: height:71px; position: relative; margin: 0px 10px 10px 0px; }
</style>
<script type="text/javascript">
// Handle sorting and order saving
$("<?php if($nSortableARRAY){ echo implode(",",$nSortableARRAY); } ?>").sortable({
	items: "div.icon", // only icons are sortable
	connectWith: ".groupDD", // allow icons to be sorted into different sections
	placeholder: "ui-state-highlight",
	forcePlaceholderSize: true,
	update: function(event, ui) {
		var dataString = "group=" + $(this).attr("id") + "&order=" + $(this).sortable('toArray').toString();
		// save updated order
		var url = "edit/page_order.php";
		$.ajax({  
			type: "POST", url: url, data: dataString,  
			error: function(msg,msg2,errorMsg){ alert('error'); alert('error returned in call to '+url+': '+errorMsg); },
			success: function(msg){ }
		});
		$(this).effect("highlight", {}, 1500);
	}
});
</script>
		
<!--[if !IE]>start pagination<![endif]-->
<div class="pagination">
	<span class="page_no">Page 1 of 1</span>
</div>
<!--[if !IE]>end pagination<![endif]-->


<?php
function nGetSectionList(){
	global $DBName,$Link,$nListingSQL,$nAdminAccess;
	global $nShowPerPg,$nTotalRec,$nStartRec,$nEndRec,$nTotalPg,$nSortableARRAY;
	if(!$nListingSQL){ return ""; }
	$nCurrRec = 0;
	$nTable = "";
	mysql_select_db($DBName); $Result = mysql_query($nListingSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nCurrRec++;
		if($nCurrRec>=$nStartRec && $nCurrRec<=$nEndRec && $nCurrRec<=$nTotalRec){
			$nID = $Row["nID"];
			$nName = $Row["nName"];
			$nParentID = $Row["nParentID"];
			if($nParentID){ $nParentName = nGetSectionName($nParentID); } else { $nParentName = ""; }
			if($nParentName){ $nParentCODE = "<span class=\"caption\">$nParentName &gt;</span> "; } else { $nParentCODE = ""; }
			$nPagesCODE = nGetPages($nID);
			if($nPagesCODE){ $nDropOnEmpty = "dropOnEmpty: false"; } else { $nDropOnEmpty = "dropOnEmpty: true"; }
			if(!$nAdminAccess && !$nPagesCODE){ $nHasSectionAccess = 0; } else { $nHasSectionAccess = 1; }
			if($nHasSectionAccess){
				$nSortableARRAY[] = "#section_$nID"; // add to sortables
				$nTable.= <<<CODE
				<div id="section_$nID" class="groupDD clearfix">
					<h1 class="handle">$nParentCODE$nName</h1>
					$nPagesCODE
				</div>
				<div style="clear:both;"></div>
CODE;
			}
		}
	}
	if($nAdminAccess){
		// Add Unclassified section if needed
		$nPagesCODE = nGetPages(0);
		if($nPagesCODE){
			$nSortableARRAY[] = "#section_0"; // add to sortables
			$nTable.= <<<CODE
				<div id="section_0" class="groupDD clearfix">
					<h1 class="handle caption"><em>Unclassified</em></h1>
					$nPagesCODE
				</div>
				<div style="clear:both;"></div>
CODE;
		}
	}
	if(!$nTable){ $nTable = "<tr id=\"$nRowClass\"><td height=\"200\" align=\"center\" class=\"caption\" colspan=\"5\"><em>No data available to display.</em></td></tr>"; }
	return $nTable;
}

function nGetPages($nSectionID){
	global $DBName,$Link,$nAdminAccess,$nPageIDAccessARRAY,$_SERVER;
	if($nSectionID===""){ return ""; }
	$nBrowserType = $_SERVER["HTTP_USER_AGENT"];
	$nIsIE = strpos($nBrowserType," MSIE ");
	$nCurrRec = 0;
	$nTable = "";
	$nSQL = "SELECT * FROM nPage WHERE nSectionID=$nSectionID ORDER BY nOrderID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nCurrRec++;
		$nID = $Row["nID"];
		$nNavTitle = $Row["nNavTitle"];
		$nTitle = $Row["nTitle"];
		$nBGColor = $Row["nBGColor"];
		$nBaseColor = $Row["nBaseColor"];
		$nBGImgID = $Row["nBGImgID"];
		$nType = $Row["nType"];
		switch($nType){
			case "Homepage": $nAddIcon = "<div id=\"edit\"><img src=\"img/icon_home.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Search": $nAddIcon = "<div id=\"edit\"><img src=\"img/icon_search.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Link": $nAddIcon = "<div id=\"edit\"><img src=\"img/icon_link.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			default: $nAddIcon = ""; break;
		}
		if($nType!="Homepage" && $nAdminAccess){
			$nAddIcon.="<div id=\"delete\" style=\"display:none;\"><a href=\"dialog/page_delete.php?id=$nID\" title=\"Delete Page\" class=\"modal\"><img src=\"img/icon_delete.png\" alt=\"\" width=\"23\" height=\"23\" border=\"0\" id=\"img_$nID\"></a></div>";
			if($nIsIE!==false){	// if browser is IE...
				$nHoverCODE = "onMouseEnter=\"$('#icon_$nID #delete').show();return false;\" onMouseLeave=\"$('#icon_$nID #delete').hide();return false;\"";
			} else {
				$nHoverCODE = "onMouseOver=\"$('#icon_$nID #delete').show();return false;\" onMouseOut=\"$('#icon_$nID #delete').hide();return false;\"";
			}
		} else {
			$nHoverCODE = "";
		}
		// Generate ICON
		// NOTE: if naming conventions change here, it's a good idea to delete all files in 'nIcnFilePath' to save space
		$nIcnBGClr = $nBGColor;
		$nIcnTxt = $nNavTitle;
		$nIcnFileName = nSanitizeImgFilename("icn_".$nIcnBGClr."_".$nIcnTxt.".png");
		$nIcnFilePath = "../../usr/system/icons/$nIcnFileName";
		$nIcnFinalPath = "../usr/system/icons/$nIcnFileName";
		if(!file_exists($nIcnFilePath)){
			nImg_MakeIcon($nIcnFilePath,$nIcnBGClr,$nIcnTxt);
		}
		if(!file_exists($nIcnFilePath)){
			// print "<strong style=\"color:#CC0000;\">Image error: could not create icon at '$nIcnFilePath'. Please make sure that this folder is writable.</strong><BR>";
			$nIcnFilePath="";
		}
		$nIcnTag = "";
		if($nIcnFilePath){
			$nImgTagARRAY = getimagesize($nIcnFilePath); $nImgTagWH = $nImgTagARRAY[3];
			$nIcnTag = "<img src=\"$nIcnFinalPath\" alt=\"\" $nImgTagWH border=\"0\">";
		} else {
			// if couldn't make icon, replace it with an ugly boxed version
			$nIcnTag = "<div style=\"background-color:$nIcnBGClr; white-space:normal; line-height:12px; width:64px; height:52px; color:#fff; font-size:9px; text-align:center; padding-top:12px; overflow:hidden;\">$nIcnTxt</div>";
		}
		// END Generate Icon
		if(!$nAdminAccess && in_array($nID,$nPageIDAccessARRAY)){ $nHasPageAccess = 1; } else { $nHasPageAccess = 0; }
		if($nAdminAccess){ $nHasPageAccess = 1; }
		if($nHasPageAccess){
			if($nType=="Link"){
				$nIcnTag = "<a href=\"dialog/page_add.php?id=$nID\" title=\"Edit Page Settings\" class=\"modal\">$nIcnTag</a>";
			} else {
				$nIcnTag = "<a href=\"page_edit.php?id=$nID\" title=\"$nIcnTxt\">$nIcnTag</a>";
			}
			$nTable.= <<<CODE
				<div id="icon_$nID" class="icon" $nHoverCODE>$nIcnTag<div id="editStamps" style="width:30px;">$nAddIcon</div></div>
CODE;
		}
	}
	return $nTable;
}

function nGetSectionName($nRecID){
	global $DBName,$Link;
	$nSQL = "SELECT nName,nParentID FROM nSection WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nName = $Row["nName"];
		$nParentID = $Row["nParentID"];
	}
	if($nParentID){ $nParentName = nGetSectionName($nParentID)." &gt; "; } else { $nParentName = ""; }
	return "$nParentName$nName";
}

function nFixLostPages(){
	global $DBName,$Link;
	$nSQL = "SELECT nID,nSectionID FROM nPage";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nID"];
		$nSectionID = $Row["nSectionID"];
		if(!nSectionExists($nSectionID)){
			// Set page nSectionID to unclassified section
			$Query = "UPDATE nPage SET nSectionID='0' WHERE nID='$nPageID'";
			mysql_select_db($DBName);
			mysql_query($Query, $Link);
		}
	}
}
function nSectionExists($nSectionID){
	global $DBName,$Link;
	if(!$nSectionID){ return 0; }
	$nSQL = "SELECT nID FROM nSection WHERE nID=$nSectionID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nCount = mysql_num_rows($Result);
	return $nCount;
}
function nGetPageIDAccessARRAY($ValidUser){
	global $DBName,$Link;
	if(!$ValidUser){ return; }
	// Get user ID
	$nSQL = "SELECT nID FROM nEditor WHERE nUser='$ValidUser' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nEditorID = $Row["nID"];
	}
	$nDataARRAY = array();
	$nSQL = "SELECT nPageID FROM xEditorPage WHERE nEditorID=$nEditorID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nDataARRAY[] = $nPageID;
	}
	return $nDataARRAY;
}
?>
<?php require("../../inc/db_close.php"); ?>
