<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

// Next line to start calc of page load time
$nPLTStart = microtime(); $nPLTStartARRAY = explode(" ", $nPLTStart); $nPLTStart = $nPLTStartARRAY[1] + $nPLTStartARRAY[0];
require("inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("inc/secure_page.php");
// connect to mysql
require("../inc/dbconnect.php");
require("../inc/config.php");
require("inc/langutil.php");
require("../inc/tmplutil.php");
include("inc/imgedit.php");

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);

// if limited user, get page access to apply limitations
// if trying to access a page w/o authorization, kick them out
if(!$nAdminAccess){ $nPageIDAccessARRAY = nGetPageIDAccessARRAY($ValidUser); }
if(!$nAdminAccess && !in_array($nRecID,$nPageIDAccessARRAY)){
	header ("Location: index.php?msg=4");
	exit;
}
$nPagePath = nGetPagePath($nRecID);
$nPageName = nGetPageName($nRecID);
$nSectionID = nGetSectionID($nRecID);
$nPageType = nGetPageType($nRecID);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Control Panel :: <?php echo $nSiteName;?></title>
<link href="css/wpm/jquery-ui-1.8.17.custom.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="css/meta-admin.css" />
<link rel="stylesheet" type="text/css" href="css/blue-theme.css" />
<!--[if lte IE 6]><link media="screen" rel="stylesheet" type="text/css" href="css/ie.css" /><![endif]-->
<link href="css/colorbox.css" rel="stylesheet" type="text/css">
<link href="css/form.css" rel="stylesheet" type="text/css">
<link href="css/drag_drop.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/css.js"></script>
<script type="text/javascript" src="js/behaviour.js"></script>
<script type="text/javascript" src="js/refresh.js"></script>
<script src="js/utility.js" type="text/javascript"></script>
<script src="js/jquery-1.7.1.min.js" type="text/javascript"></script>
<script src="js/jquery.colorbox-min.js" type="text/javascript"></script>
<script src="js/jquery_processor.js" type="text/javascript"></script>
<script src="js/jquery-ui-1.8.17.custom.min.js" type="text/javascript"></script>
<script src="js/jquery.inlineEdit.js" type="text/javascript"></script>
<script type="text/javascript" src="rte/fckeditor.js"></script>
<script>
$(function() {
	// load page content modules
	loadContent('ajaxPageEdit','list/page_components.php?id=<?php echo $nRecID;?>');
	loadContent('ajaxMobileEdit','list/mobile_components.php?id=<?php echo $nRecID;?>');
});
var mobileTabOpen = false;
function toggleMobile(){
	if(!mobileTabOpen){
		loadContent('ajaxPageEdit','list/mobile_components.php?id=<?php echo $nRecID;?>');
		$('#mobileLink').addClass("selected");
		$('#mobileLinkText').html("Close Mobile");
		mobileTabOpen = true;
	} else {
		loadContent('ajaxPageEdit','list/page_components.php?id=<?php echo $nRecID;?>');
		$('#mobileLink').removeClass("selected");
		$('#mobileLinkText').html("Mobile Version");
		mobileTabOpen = false;
	}
}
</script>
<!-- Added for any components that use it so they don't break the system //-->
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>
</head>

<body onLoad="MM_preloadImages('img/load.gif');">

<div id="wrapper">
	
	<?php require("inc/header.php"); ?>

	<div id="content">
		<div id="content_bottom">
			<div class="inner">
				<div id="info">
					<div class="section">
					
						<div class="title_wrapper">
							<h2 style="font-size:20px; width:380px; overflow:hidden; margin-top:6px;">Edit <?if($nPageType=="Template"){?>Template<?} else {?>Page<?}?>: <?php echo $nPageName;?></h2>
							<div id="product_list_menu">
								<!--
								<ul id="product_list_tabs">
									<li><a href="#" onClick="toggleMobile();" id="mobileLink"><span><span id="mobileLinkText">Mobile Version</span></span></a></li>
								</ul>
								//-->
								<a href="dialog/component_add.php?id=<?php echo $nRecID;?>" title="Add New Component" class="modal update"><span><span><em>Add Component</em><strong></strong></span></span></a>
							</div>
						</div>
						<div id="ajaxPageEdit"></div><BR>
				
					</div>
					<BR><BR><BR><BR>
				</div>
				<div id="sidebar" style="padding-top:0px;">
					
					<!--[if !IE]>start sidebar module<![endif]-->
					<div class="sidebar_module">
						
						<?if($nPageType=="Template"){?>
						<div class="title_wrapper">
							<h3>Template Tags</h3>
						</div>
						<div id="secondary_menu">
							<ul>
								<li style="padding:20px 0px;">You can use the following tags in any of the components of your template:<BR><BR><strong>[#Title#]</strong> - Will be replaced with the title of the new page.</li>
							</ul>
						</div><BR><BR>
						<div class="title_wrapper">
							<h3>Tools</h3>
						</div>
						<div id="secondary_menu">
							<ul>
								<li><a href="<?php echo $nPagePath;?>" target="_blank">View this template on website<img src="img/external.png" alt="" width="16" height="16" border="0" style="margin:0 0 -3px 4px;"></a></li>
							</ul>
						</div><BR><BR>
						<?} else {?>
						<div class="title_wrapper">
							<h3>Tools</h3>
						</div>
						<div id="secondary_menu">
							<ul>
								<li><a href="dialog/page_add.php?id=<?php echo $nRecID;?>" title="Edit Page Settings" class="modal">Edit Page Settings</a></li>
								<li><a href="<?php echo $nPagePath;?>" target="_blank">View this page on website<img src="img/external.png" alt="" width="16" height="16" border="0" style="margin:0 0 -3px 4px;"></a></li>
								<?if($nPageType=="Content"){?>
								<li><a href="dialog/page_duplicate.php?id=<?php echo $nRecID;?>" title="Duplicate Page" class="modal">Duplicate this page</a></li>
								<li><a href="dialog/page_make_template.php?id=<?php echo $nRecID;?>" title="Convert Page To Template" class="modal">Convert this page to a template</a></li>
								<?}?>
							</ul>
						</div><BR><BR>
						<?}?>
						
						<div class="title_wrapper">
							<h3>Related Pages</h3>
						</div>
						<div id="secondary_menu" class="cleanMenu" style="padding:10px 0;">
							<?php echo nGetPages($nSectionID);?>
						</div>
						
						<?php if($nAllowMobile){ ?>
						<div class="title_wrapper">
							<h3>Mobile Version</h3>
						</div>
						<div id="mobileEditor" style="padding-bottom:10px;">
							<div id="tabs" style="position:relative;">
								<ul>
									<li><a href="#ajaxMobileEdit">Edit</a></li>
									<li><a href="#tabMobilePreview">Preview</a></li>
								</ul>
								<div id="ajaxMobileEdit" style="padding:0;">
									Loading...
								</div>
								<div id="tabMobilePreview">
									<iframe src="<?php echo tmplGetPageLinkPath($nRecID,array("MOBILE=1"));?>" name="nMobilePreview" id="nMobilePreview" width="340" height="562" marginwidth="0" marginheight="0" frameborder="0"></iframe>
								</div>
							</div>
						</div>
						<?php } ?>
						
<script>
$(function() {
	$( "#tabs" ).tabs();
});
nReloadMobile = function(){
	$('#nMobilePreview').attr('src', function(i, val){ return val; });
}
</script>
						
					</div>
					<!--[if !IE]>end sidebar module<![endif]-->
					
				</div>
			</div>
		</div>
	</div>
	
</div>
	
	<?php require("inc/footer.php"); ?>
	
<div id="status" style="display:none;"><table><tr><td class="padRight"><img src="img/load.gif" alt="" width="16" height="16" border="0"></td><td><div align="center">Loading...<BR>Please wait<BR></div></td></tr></table></div>
	
</body>
</html>
<?php
function nGetPagePath($nPageID){
	global $DBName,$Link,$nPermalinks,$nFullSitePath;
	if(!$nPageID){ return; }
	$nSQL = "SELECT nType,nTitle,nNavTitle FROM nPage WHERE nID=$nPageID LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nType = $Row["nType"];
		$nTitle = $Row["nTitle"];
		$nNavTitle = $Row["nNavTitle"];
	}
	switch($nType){
		case "Homepage": $nPagePath = "index.php"; break;
		case "Content":
		case "Template":
			if($nPermalinks){
				$nPageNameForPath = nPrepareNameForPath($nNavTitle); // for mod-rewrite
				$nPagePath = $nPageID."/".$nPageNameForPath.".html"; // for mod-rewrite
				$nPagePath = $nFullSitePath.$nPagePath;
			} else {
				$nPagePath = $nFullSitePath."content.php?id=$nPageID";
			}
			break;
		case "Search": $nPagePath = $nFullSitePath."search.php"; break;
		case "Link": $nPagePath = $nTitle; break;
	}
	// if($nPagePath){ $nPagePath = "../$nPagePath"; }
	return $nPagePath;
}

function nPrepareNameForPath($nName){
	if(!$nName){ return; }
	$nName = str_replace(" ","-",$nName);
	$nRemoveARRAY = array(".",",",";",":","'","!","$","#","?","&","*","%","@","(",")","/","\\","<",">");
	$nName = str_replace($nRemoveARRAY,"",$nName);
	$nName = str_replace("--","-",$nName);
	return $nName;
}

function nGetPageIDAccessARRAY($ValidUser){
	global $DBName,$Link;
	if(!$ValidUser){ return; }
	// Get user ID
	$nSQL = "SELECT nID FROM nEditor WHERE nUser='$ValidUser' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nEditorID = $Row["nID"];
	}
	$nDataARRAY = array();
	$nSQL = "SELECT nPageID FROM xEditorPage WHERE nEditorID=$nEditorID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nDataARRAY[] = $nPageID;
	}
	return $nDataARRAY;
}

function nGetSectionID($nPageID){
	global $DBName,$Link;
	if(!$nPageID){ return; }
	$nSQL = "SELECT nSectionID FROM nPage WHERE nID=$nPageID LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nSectionID = $Row["nSectionID"];
	}
	return $nSectionID;
}

function nGetPages($nSectionID){
	global $DBName,$Link,$nAdminAccess,$nPageIDAccessARRAY,$_SERVER,$nFullSitePath;
	if($nSectionID===""){ return ""; }
	$nBrowserType = $_SERVER["HTTP_USER_AGENT"];
	$nIsIE = strpos($nBrowserType," MSIE ");
	$nCurrRec = 0;
	$nTable = "";
	$nSQL = "SELECT * FROM nPage WHERE nSectionID=$nSectionID ORDER BY nOrderID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nCurrRec++;
		$nID = $Row["nID"];
		$nNavTitle = $Row["nNavTitle"];
		$nTitle = $Row["nTitle"];
		$nBGColor = $Row["nBGColor"];
		$nBaseColor = $Row["nBaseColor"];
		$nBGImgID = $Row["nBGImgID"];
		$nType = $Row["nType"];
		switch($nType){
			case "Homepage": $nAddIcon = "<div id=\"editMini\"><img src=\"img/icon_home.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Search": $nAddIcon = "<div id=\"editMini\"><img src=\"img/icon_search.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Template": $nAddIcon = "<div id=\"editMini\"><img src=\"img/icon_template.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			case "Link": $nAddIcon = "<div id=\"editMini\"><img src=\"img/icon_link.png\" width=\"26\" height=\"26\" border=\"0\"></div>"; break;
			default: $nAddIcon = ""; break;
		}
		$nHoverCODE = "";
		// Generate ICON
		// NOTE: if naming conventions change here, it's a good idea to delete all files in 'nIcnFilePath' to save space
		$nIcnBGClr = $nBGColor;
		$nIcnTxt = $nNavTitle;
		$nIcnFileName = nSanitizeImgFilename("icn_".$nIcnBGClr."_".$nIcnTxt.".png");
		$nIcnFilePath = "../usr/system/icons/mini/$nIcnFileName";
		$nIcnFinalPath = "usr/system/icons/mini/$nIcnFileName";
		if(!file_exists($nIcnFilePath)){
			nImg_MakeMiniIcon($nIcnFilePath,$nIcnBGClr,$nIcnTxt);
		}
		if(!file_exists($nIcnFilePath)){
			// print "<strong style=\"color:#CC0000;\">Image error: could not create icon at '$nIcnFilePath'. Please make sure that this folder is writable.</strong><BR>";
			$nIcnFilePath="";
		}
		$nIcnTag = "";
		if($nIcnFilePath){
			$nImgTagARRAY = getimagesize($nIcnFilePath); $nImgTagWH = $nImgTagARRAY[3];
			$nIcnTag = "<img src=\"$nFullSitePath$nIcnFinalPath\" alt=\"\" $nImgTagWH border=\"0\">";
		} else {
			// if couldn't make icon, replace it with an ugly boxed version
			$nIcnTag = "<div style=\"background-color:$nIcnBGClr; white-space:normal; line-height:12px; width:54px; height:46px; color:#fff; font-size:9px; text-align:center; padding-top:8px; overflow:hidden;\">$nIcnTxt</div>";
		}
		// END Generate Icon
		if(!$nAdminAccess && in_array($nID,$nPageIDAccessARRAY)){ $nHasPageAccess = 1; } else { $nHasPageAccess = 0; }
		if($nAdminAccess){ $nHasPageAccess = 1; }
		if($nHasPageAccess){
			if($nType=="Link"){
				$nIcnTag = "<a href=\"dialog/page_add.php?id=$nID\" title=\"Edit Page Settings\" class=\"modal\">$nIcnTag</a>";
			} else {
				$nIcnTag = "<a href=\"page_edit.php?id=$nID\" title=\"$nIcnTxt\">$nIcnTag</a>";
			}
			$nTable.= <<<CODE
				<div id="icon_$nID" class="icon" $nHoverCODE>$nIcnTag<div id="editStamps" style="width:30px;">$nAddIcon</div></div>
CODE;
		}
	}
	return $nTable;
}
?>
<?php require("../inc/db_close.php"); ?>

