<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

// Next line to start calc of page load time
$nPLTStart = microtime(); $nPLTStartARRAY = explode(" ", $nPLTStart); $nPLTStart = $nPLTStartARRAY[1] + $nPLTStartARRAY[0];
require("inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("inc/secure_page.php");
// connect to mysql
require("../inc/dbconnect.php");
require("../inc/config.php");
require("../inc/tracker.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Control Panel :: <?php echo $nSiteName;?></title>
<link rel="stylesheet" type="text/css" href="css/meta-admin.css" />
<link rel="stylesheet" type="text/css" href="css/blue-theme.css" />
<!--[if lte IE 6]><link media="screen" rel="stylesheet" type="text/css" href="css/ie.css" /><![endif]-->
<link href="css/colorbox.css" rel="stylesheet" type="text/css">
<link href="css/form.css" rel="stylesheet" type="text/css">
<link href="css/drag_drop.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/css.js"></script>
<script type="text/javascript" src="js/behaviour.js"></script>
<script type="text/javascript" src="js/refresh.js"></script>
<script src="js/utility.js" type="text/javascript"></script>
<script src="js/jquery-1.7.1.min.js" type="text/javascript"></script>
<script src="js/jquery.colorbox-min.js" type="text/javascript"></script>
<script src="js/jquery_processor.js" type="text/javascript"></script>
<script src="js/jquery-ui-1.8.17.custom.min.js" type="text/javascript"></script>
<script>
$(function() {
	// load page content modules
	loadContent('ajaxPages','list/pages.php');
});
</script>
</head>

<body onLoad="MM_preloadImages('img/load.gif');">
	<!--[if !IE]>start wrapper<![endif]-->
	<div id="wrapper">

		<?php require("inc/header.php"); ?>
	
		<!--[if !IE]>start content<![endif]-->
		<div id="content">
			
			<!--[if !IE]>start content bottom<![endif]-->
			<div id="content_bottom">
			
			<div class="inner">
				
				<!--[if !IE]>start info<![endif]-->
				<div id="info">
					
					<!--[if !IE]>start section<![endif]-->
					<div class="section">
					<div class="title_wrapper">
						<h2>Pages</h2>
						<?php if($nAdminAccess){ ?>
						<div id="product_list_menu">
							<a href="dialog/page_add.php" title="Add New Page" class="modal update"><span><span><em>Add New</em><strong></strong></span></span></a>
						</div>
						<?php } ?>
					</div>
					
					<div id="ajaxPages"></div><BR>
					
				</div>
				<!--[if !IE]>end info<![endif]-->
				<BR><BR><BR><BR>
				
			</div>
			<!--[if !IE]>end content bottom<![endif]-->
				
				<!--[if !IE]>start sidebar<![endif]-->
				<div id="sidebar" style="padding-top:11px;">
					
					
					<!--[if !IE]>start sidebar module<![endif]-->
					<div class="sidebar_module">
						<div class="title_wrapper">
							<h3>Page Types</h3>
						</div>
						<div id="secondary_menu">
							<ul>
								<li style="padding:20px 0px;"><img src="img/icon_home.png" alt="" width="26" height="26" border="0" align="left" style="margin:0px 6px 6px 0px;"><strong>Homepage.</strong> The default entrance to the website. There is a limit of one <em>Homepage</em> in the system.
								<li style="padding:20px 0px;"><strong>Content.</strong> The most common page on the website. This <em>Page</em> type holds text and image content components. In addition to requiring a title set, it always contains a <em>Header Image</em> component which must be chosen or implicitly deactivated.
								<li style="padding:20px 0px;"><img src="img/icon_search.png" alt="" width="26" height="26" border="0" align="left" style="margin:0px 6px 0px 0px;"><strong>Search page.</strong> A special <em>Page</em> type that displays dynamic results when linked from a Search component. There is a limit of one <em>Search page</em> in the system.
								<li style="padding:20px 0px;"><img src="img/icon_link.png" alt="" width="26" height="26" border="0" align="left" style="margin:0px 6px 0px 0px;"><strong>Link.</strong> Not really a <em>Page</em>, but allows for the addition of extra internal and external links to show up in the main or component-based navigation.
							</ul>
							<ul>
								<li style="padding:20px 0px;">
								<img src="img/icon_move_cursor.png" alt="" width="26" height="27" border="0" align="left" style="margin:0 6px 6px 0;"><strong>Easily re-arrange your pages to be in the <em>Sections</em> you wish, and in the order you wish.</strong><BR><BR>
								Place your mouse cursor over any <em>Page</em> you wish to move. Then, just click and drag the <em>Page</em> to the <em>Section</em> and position of your choice and drop it to save your change.
							</ul>
						</div>
					</div>
					<!--[if !IE]>end sidebar module<![endif]-->
					
				</div>
				<!--[if !IE]>end sidebar<![endif]-->
				
			</div>
			
		</div>
		<!--[if !IE]>end content<![endif]-->
	</div>
	<!--[if !IE]>end wrapper<![endif]-->
	
	<?php require("inc/footer.php"); ?>
	
<div id="status" style="display:none;"><table><tr><td class="padRight"><img src="img/load.gif" alt="" width="16" height="16" border="0"></td><td><div align="center">Loading...<BR>Please wait<BR></div></td></tr></table></div>
	
</body>
</html>
<?php require("../inc/db_close.php"); ?>

